libctf: unidentified type kinds on open are a sign of file corruption
[deliverable/binutils-gdb.git] / libctf / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Copyright (C) 2019 Free Software Foundation, Inc.
19 #
20 # This file is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 2 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program; see the file COPYING. If not see
32 # <http://www.gnu.org/licenses/>.
33 #
34
35 VPATH = @srcdir@
36 am__is_gnu_make = { \
37 if test -z '$(MAKELEVEL)'; then \
38 false; \
39 elif test -n '$(MAKE_HOST)'; then \
40 true; \
41 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
42 true; \
43 else \
44 false; \
45 fi; \
46 }
47 am__make_running_with_option = \
48 case $${target_option-} in \
49 ?) ;; \
50 *) echo "am__make_running_with_option: internal error: invalid" \
51 "target option '$${target_option-}' specified" >&2; \
52 exit 1;; \
53 esac; \
54 has_opt=no; \
55 sane_makeflags=$$MAKEFLAGS; \
56 if $(am__is_gnu_make); then \
57 sane_makeflags=$$MFLAGS; \
58 else \
59 case $$MAKEFLAGS in \
60 *\\[\ \ ]*) \
61 bs=\\; \
62 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
63 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
64 esac; \
65 fi; \
66 skip_next=no; \
67 strip_trailopt () \
68 { \
69 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
70 }; \
71 for flg in $$sane_makeflags; do \
72 test $$skip_next = yes && { skip_next=no; continue; }; \
73 case $$flg in \
74 *=*|--*) continue;; \
75 -*I) strip_trailopt 'I'; skip_next=yes;; \
76 -*I?*) strip_trailopt 'I';; \
77 -*O) strip_trailopt 'O'; skip_next=yes;; \
78 -*O?*) strip_trailopt 'O';; \
79 -*l) strip_trailopt 'l'; skip_next=yes;; \
80 -*l?*) strip_trailopt 'l';; \
81 -[dEDm]) skip_next=yes;; \
82 -[JT]) skip_next=yes;; \
83 esac; \
84 case $$flg in \
85 *$$target_option*) has_opt=yes; break;; \
86 esac; \
87 done; \
88 test $$has_opt = yes
89 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
90 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
91 pkgdatadir = $(datadir)/@PACKAGE@
92 pkgincludedir = $(includedir)/@PACKAGE@
93 pkglibdir = $(libdir)/@PACKAGE@
94 pkglibexecdir = $(libexecdir)/@PACKAGE@
95 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
96 install_sh_DATA = $(install_sh) -c -m 644
97 install_sh_PROGRAM = $(install_sh) -c
98 install_sh_SCRIPT = $(install_sh) -c
99 INSTALL_HEADER = $(INSTALL_DATA)
100 transform = $(program_transform_name)
101 NORMAL_INSTALL = :
102 PRE_INSTALL = :
103 POST_INSTALL = :
104 NORMAL_UNINSTALL = :
105 PRE_UNINSTALL = :
106 POST_UNINSTALL = :
107 @NEED_CTF_QSORT_R_TRUE@am__append_1 = ctf-qsort_r.c
108 subdir = .
109 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
110 am__aclocal_m4_deps = $(top_srcdir)/../config/depstand.m4 \
111 $(top_srcdir)/../config/lead-dot.m4 \
112 $(top_srcdir)/../config/override.m4 \
113 $(top_srcdir)/../config/warnings.m4 \
114 $(top_srcdir)/../config/zlib.m4 $(top_srcdir)/configure.ac
115 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
116 $(ACLOCAL_M4)
117 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
118 $(am__configure_deps) $(am__DIST_COMMON)
119 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
120 configure.lineno config.status.lineno
121 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
122 CONFIG_HEADER = config.h
123 CONFIG_CLEAN_FILES =
124 CONFIG_CLEAN_VPATH_FILES =
125 LIBRARIES = $(noinst_LIBRARIES)
126 ARFLAGS = cru
127 AM_V_AR = $(am__v_AR_@AM_V@)
128 am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
129 am__v_AR_0 = @echo " AR " $@;
130 am__v_AR_1 =
131 libctf_a_AR = $(AR) $(ARFLAGS)
132 libctf_a_LIBADD =
133 am__libctf_a_SOURCES_DIST = ctf-archive.c ctf-dump.c ctf-create.c \
134 ctf-decl.c ctf-error.c ctf-hash.c ctf-labels.c ctf-lookup.c \
135 ctf-open.c ctf-open-bfd.c ctf-subr.c ctf-types.c ctf-util.c \
136 ctf-qsort_r.c
137 @NEED_CTF_QSORT_R_TRUE@am__objects_1 = ctf-qsort_r.$(OBJEXT)
138 am_libctf_a_OBJECTS = ctf-archive.$(OBJEXT) ctf-dump.$(OBJEXT) \
139 ctf-create.$(OBJEXT) ctf-decl.$(OBJEXT) ctf-error.$(OBJEXT) \
140 ctf-hash.$(OBJEXT) ctf-labels.$(OBJEXT) ctf-lookup.$(OBJEXT) \
141 ctf-open.$(OBJEXT) ctf-open-bfd.$(OBJEXT) ctf-subr.$(OBJEXT) \
142 ctf-types.$(OBJEXT) ctf-util.$(OBJEXT) $(am__objects_1)
143 libctf_a_OBJECTS = $(am_libctf_a_OBJECTS)
144 AM_V_P = $(am__v_P_@AM_V@)
145 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
146 am__v_P_0 = false
147 am__v_P_1 = :
148 AM_V_GEN = $(am__v_GEN_@AM_V@)
149 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
150 am__v_GEN_0 = @echo " GEN " $@;
151 am__v_GEN_1 =
152 AM_V_at = $(am__v_at_@AM_V@)
153 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
154 am__v_at_0 = @
155 am__v_at_1 =
156 DEFAULT_INCLUDES = -I.@am__isrc@
157 depcomp = $(SHELL) $(top_srcdir)/../depcomp
158 am__depfiles_maybe = depfiles
159 am__mv = mv -f
160 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
161 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
162 AM_V_CC = $(am__v_CC_@AM_V@)
163 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
164 am__v_CC_0 = @echo " CC " $@;
165 am__v_CC_1 =
166 CCLD = $(CC)
167 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
168 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
169 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
170 am__v_CCLD_0 = @echo " CCLD " $@;
171 am__v_CCLD_1 =
172 SOURCES = $(libctf_a_SOURCES)
173 DIST_SOURCES = $(am__libctf_a_SOURCES_DIST)
174 am__can_run_installinfo = \
175 case $$AM_UPDATE_INFO_DIR in \
176 n|no|NO) false;; \
177 *) (install-info --version) >/dev/null 2>&1;; \
178 esac
179 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
180 $(LISP)config.h.in
181 # Read a list of newline-separated strings from the standard input,
182 # and print each of them once, without duplicates. Input order is
183 # *not* preserved.
184 am__uniquify_input = $(AWK) '\
185 BEGIN { nonempty = 0; } \
186 { items[$$0] = 1; nonempty = 1; } \
187 END { if (nonempty) { for (i in items) print i; }; } \
188 '
189 # Make sure the list of sources is unique. This is necessary because,
190 # e.g., the same source file might be shared among _SOURCES variables
191 # for different programs/libraries.
192 am__define_uniq_tagged_files = \
193 list='$(am__tagged_files)'; \
194 unique=`for i in $$list; do \
195 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
196 done | $(am__uniquify_input)`
197 ETAGS = etags
198 CTAGS = ctags
199 CSCOPE = cscope
200 AM_RECURSIVE_TARGETS = cscope
201 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
202 $(top_srcdir)/../ar-lib $(top_srcdir)/../compile \
203 $(top_srcdir)/../depcomp $(top_srcdir)/../install-sh \
204 $(top_srcdir)/../missing $(top_srcdir)/../mkinstalldirs \
205 ChangeLog
206 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
207 distdir = $(PACKAGE)-$(VERSION)
208 top_distdir = $(distdir)
209 am__remove_distdir = \
210 if test -d "$(distdir)"; then \
211 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
212 && rm -rf "$(distdir)" \
213 || { sleep 5 && rm -rf "$(distdir)"; }; \
214 else :; fi
215 am__post_remove_distdir = $(am__remove_distdir)
216 DIST_ARCHIVES = $(distdir).tar.gz
217 GZIP_ENV = --best
218 DIST_TARGETS = dist-gzip
219 distuninstallcheck_listfiles = find . -type f -print
220 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
221 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
222 distcleancheck_listfiles = find . -type f -print
223 ACLOCAL = @ACLOCAL@
224 AMTAR = @AMTAR@
225 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
226 AR = @AR@
227 AUTOCONF = @AUTOCONF@
228 AUTOHEADER = @AUTOHEADER@
229 AUTOMAKE = @AUTOMAKE@
230 AWK = @AWK@
231 CC = @CC@
232 CCDEPMODE = @CCDEPMODE@
233 CFLAGS = @CFLAGS@
234 CPP = @CPP@
235 CPPFLAGS = @CPPFLAGS@
236 CYGPATH_W = @CYGPATH_W@
237 DEFS = @DEFS@
238 DEPDIR = @DEPDIR@
239 ECHO_C = @ECHO_C@
240 ECHO_N = @ECHO_N@
241 ECHO_T = @ECHO_T@
242 EGREP = @EGREP@
243 EXEEXT = @EXEEXT@
244 GREP = @GREP@
245 INSTALL = @INSTALL@
246 INSTALL_DATA = @INSTALL_DATA@
247 INSTALL_PROGRAM = @INSTALL_PROGRAM@
248 INSTALL_SCRIPT = @INSTALL_SCRIPT@
249 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
250 LDFLAGS = @LDFLAGS@
251 LIBOBJS = @LIBOBJS@
252 LIBS = @LIBS@
253 LTLIBOBJS = @LTLIBOBJS@
254 MAINT = @MAINT@
255 MAKEINFO = @MAKEINFO@
256 MKDIR_P = @MKDIR_P@
257 OBJEXT = @OBJEXT@
258 PACKAGE = @PACKAGE@
259 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
260 PACKAGE_NAME = @PACKAGE_NAME@
261 PACKAGE_STRING = @PACKAGE_STRING@
262 PACKAGE_TARNAME = @PACKAGE_TARNAME@
263 PACKAGE_URL = @PACKAGE_URL@
264 PACKAGE_VERSION = @PACKAGE_VERSION@
265 PATH_SEPARATOR = @PATH_SEPARATOR@
266 RANLIB = @RANLIB@
267 SET_MAKE = @SET_MAKE@
268 SHELL = @SHELL@
269 STRIP = @STRIP@
270 VERSION = @VERSION@
271 WARN_PEDANTIC = @WARN_PEDANTIC@
272 WERROR = @WERROR@
273 abs_builddir = @abs_builddir@
274 abs_srcdir = @abs_srcdir@
275 abs_top_builddir = @abs_top_builddir@
276 abs_top_srcdir = @abs_top_srcdir@
277 ac_ct_AR = @ac_ct_AR@
278 ac_ct_CC = @ac_ct_CC@
279 ac_libctf_warn_cflags = @ac_libctf_warn_cflags@
280 am__include = @am__include@
281 am__leading_dot = @am__leading_dot@
282 am__quote = @am__quote@
283 am__tar = @am__tar@
284 am__untar = @am__untar@
285 bindir = @bindir@
286 build_alias = @build_alias@
287 builddir = @builddir@
288 c_warn = @c_warn@
289 datadir = @datadir@
290 datarootdir = @datarootdir@
291 docdir = @docdir@
292 dvidir = @dvidir@
293 exec_prefix = @exec_prefix@
294 host_alias = @host_alias@
295 htmldir = @htmldir@
296 includedir = @includedir@
297 infodir = @infodir@
298 install_sh = @install_sh@
299 libdir = @libdir@
300 libexecdir = @libexecdir@
301 localedir = @localedir@
302 localstatedir = @localstatedir@
303 mandir = @mandir@
304 mkdir_p = @mkdir_p@
305 oldincludedir = @oldincludedir@
306 pdfdir = @pdfdir@
307 prefix = @prefix@
308 program_transform_name = @program_transform_name@
309 psdir = @psdir@
310 sbindir = @sbindir@
311 sharedstatedir = @sharedstatedir@
312 srcdir = @srcdir@
313 sysconfdir = @sysconfdir@
314 target_alias = @target_alias@
315 top_build_prefix = @top_build_prefix@
316 top_builddir = @top_builddir@
317 top_srcdir = @top_srcdir@
318 warn = @warn@
319 zlibdir = @zlibdir@
320 zlibinc = @zlibinc@
321 ACLOCAL_AMFLAGS = -I .. -I ../config
322 AUTOMAKE_OPTIONS = foreign no-texinfo.tex
323
324 # This is where we get zlib from. zlibdir is -L../zlib and zlibinc is
325 # -I../zlib, unless we were configured with --with-system-zlib, in which
326 # case both are empty.
327 ZLIB = @zlibdir@ -lz
328 ZLIBINC = @zlibinc@
329 AM_CPPFLAGS = -D_GNU_SOURCE -I$(top_srcdir) -I$(top_srcdir)/../include -I$(top_srcdir)/../bfd -I../bfd
330 AM_CFLAGS = -std=gnu99 @ac_libctf_warn_cflags@ @warn@ @c_warn@ @WARN_PEDANTIC@ @WERROR@ $(ZLIBINC)
331 noinst_LIBRARIES = libctf.a
332 libctf_a_SOURCES = ctf-archive.c ctf-dump.c ctf-create.c ctf-decl.c \
333 ctf-error.c ctf-hash.c ctf-labels.c ctf-lookup.c ctf-open.c \
334 ctf-open-bfd.c ctf-subr.c ctf-types.c ctf-util.c \
335 $(am__append_1)
336 all: config.h
337 $(MAKE) $(AM_MAKEFLAGS) all-am
338
339 .SUFFIXES:
340 .SUFFIXES: .c .o .obj
341 am--refresh: Makefile
342 @:
343 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
344 @for dep in $?; do \
345 case '$(am__configure_deps)' in \
346 *$$dep*) \
347 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
348 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
349 && exit 0; \
350 exit 1;; \
351 esac; \
352 done; \
353 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
354 $(am__cd) $(top_srcdir) && \
355 $(AUTOMAKE) --foreign Makefile
356 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
357 @case '$?' in \
358 *config.status*) \
359 echo ' $(SHELL) ./config.status'; \
360 $(SHELL) ./config.status;; \
361 *) \
362 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
363 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
364 esac;
365
366 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
367 $(SHELL) ./config.status --recheck
368
369 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
370 $(am__cd) $(srcdir) && $(AUTOCONF)
371 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
372 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
373 $(am__aclocal_m4_deps):
374
375 config.h: stamp-h1
376 @test -f $@ || rm -f stamp-h1
377 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
378
379 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
380 @rm -f stamp-h1
381 cd $(top_builddir) && $(SHELL) ./config.status config.h
382 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
383 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
384 rm -f stamp-h1
385 touch $@
386
387 distclean-hdr:
388 -rm -f config.h stamp-h1
389
390 clean-noinstLIBRARIES:
391 -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
392
393 libctf.a: $(libctf_a_OBJECTS) $(libctf_a_DEPENDENCIES) $(EXTRA_libctf_a_DEPENDENCIES)
394 $(AM_V_at)-rm -f libctf.a
395 $(AM_V_AR)$(libctf_a_AR) libctf.a $(libctf_a_OBJECTS) $(libctf_a_LIBADD)
396 $(AM_V_at)$(RANLIB) libctf.a
397
398 mostlyclean-compile:
399 -rm -f *.$(OBJEXT)
400
401 distclean-compile:
402 -rm -f *.tab.c
403
404 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-archive.Po@am__quote@
405 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-create.Po@am__quote@
406 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-decl.Po@am__quote@
407 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-dump.Po@am__quote@
408 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-error.Po@am__quote@
409 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-hash.Po@am__quote@
410 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-labels.Po@am__quote@
411 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-lookup.Po@am__quote@
412 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-open-bfd.Po@am__quote@
413 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-open.Po@am__quote@
414 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-qsort_r.Po@am__quote@
415 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-subr.Po@am__quote@
416 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-types.Po@am__quote@
417 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctf-util.Po@am__quote@
418
419 .c.o:
420 @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
421 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
422 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
423 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
424 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
425
426 .c.obj:
427 @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
428 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
429 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
430 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
431 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
432
433 ID: $(am__tagged_files)
434 $(am__define_uniq_tagged_files); mkid -fID $$unique
435 tags: tags-am
436 TAGS: tags
437
438 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
439 set x; \
440 here=`pwd`; \
441 $(am__define_uniq_tagged_files); \
442 shift; \
443 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
444 test -n "$$unique" || unique=$$empty_fix; \
445 if test $$# -gt 0; then \
446 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
447 "$$@" $$unique; \
448 else \
449 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
450 $$unique; \
451 fi; \
452 fi
453 ctags: ctags-am
454
455 CTAGS: ctags
456 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
457 $(am__define_uniq_tagged_files); \
458 test -z "$(CTAGS_ARGS)$$unique" \
459 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
460 $$unique
461
462 GTAGS:
463 here=`$(am__cd) $(top_builddir) && pwd` \
464 && $(am__cd) $(top_srcdir) \
465 && gtags -i $(GTAGS_ARGS) "$$here"
466 cscope: cscope.files
467 test ! -s cscope.files \
468 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
469 clean-cscope:
470 -rm -f cscope.files
471 cscope.files: clean-cscope cscopelist
472 cscopelist: cscopelist-am
473
474 cscopelist-am: $(am__tagged_files)
475 list='$(am__tagged_files)'; \
476 case "$(srcdir)" in \
477 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
478 *) sdir=$(subdir)/$(srcdir) ;; \
479 esac; \
480 for i in $$list; do \
481 if test -f "$$i"; then \
482 echo "$(subdir)/$$i"; \
483 else \
484 echo "$$sdir/$$i"; \
485 fi; \
486 done >> $(top_builddir)/cscope.files
487
488 distclean-tags:
489 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
490 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
491
492 distdir: $(DISTFILES)
493 $(am__remove_distdir)
494 test -d "$(distdir)" || mkdir "$(distdir)"
495 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
496 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
497 list='$(DISTFILES)'; \
498 dist_files=`for file in $$list; do echo $$file; done | \
499 sed -e "s|^$$srcdirstrip/||;t" \
500 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
501 case $$dist_files in \
502 */*) $(MKDIR_P) `echo "$$dist_files" | \
503 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
504 sort -u` ;; \
505 esac; \
506 for file in $$dist_files; do \
507 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
508 if test -d $$d/$$file; then \
509 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
510 if test -d "$(distdir)/$$file"; then \
511 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
512 fi; \
513 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
514 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
515 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
516 fi; \
517 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
518 else \
519 test -f "$(distdir)/$$file" \
520 || cp -p $$d/$$file "$(distdir)/$$file" \
521 || exit 1; \
522 fi; \
523 done
524 -test -n "$(am__skip_mode_fix)" \
525 || find "$(distdir)" -type d ! -perm -755 \
526 -exec chmod u+rwx,go+rx {} \; -o \
527 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
528 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
529 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
530 || chmod -R a+r "$(distdir)"
531 dist-gzip: distdir
532 tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
533 $(am__post_remove_distdir)
534
535 dist-bzip2: distdir
536 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
537 $(am__post_remove_distdir)
538
539 dist-lzip: distdir
540 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
541 $(am__post_remove_distdir)
542
543 dist-xz: distdir
544 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
545 $(am__post_remove_distdir)
546
547 dist-tarZ: distdir
548 @echo WARNING: "Support for distribution archives compressed with" \
549 "legacy program 'compress' is deprecated." >&2
550 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
551 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
552 $(am__post_remove_distdir)
553
554 dist-shar: distdir
555 @echo WARNING: "Support for shar distribution archives is" \
556 "deprecated." >&2
557 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
558 shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
559 $(am__post_remove_distdir)
560
561 dist-zip: distdir
562 -rm -f $(distdir).zip
563 zip -rq $(distdir).zip $(distdir)
564 $(am__post_remove_distdir)
565
566 dist dist-all:
567 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
568 $(am__post_remove_distdir)
569
570 # This target untars the dist file and tries a VPATH configuration. Then
571 # it guarantees that the distribution is self-contained by making another
572 # tarfile.
573 distcheck: dist
574 case '$(DIST_ARCHIVES)' in \
575 *.tar.gz*) \
576 eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
577 *.tar.bz2*) \
578 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
579 *.tar.lz*) \
580 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
581 *.tar.xz*) \
582 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
583 *.tar.Z*) \
584 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
585 *.shar.gz*) \
586 eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
587 *.zip*) \
588 unzip $(distdir).zip ;;\
589 esac
590 chmod -R a-w $(distdir)
591 chmod u+w $(distdir)
592 mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
593 chmod a-w $(distdir)
594 test -d $(distdir)/_build || exit 0; \
595 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
596 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
597 && am__cwd=`pwd` \
598 && $(am__cd) $(distdir)/_build/sub \
599 && ../../configure \
600 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
601 $(DISTCHECK_CONFIGURE_FLAGS) \
602 --srcdir=../.. --prefix="$$dc_install_base" \
603 && $(MAKE) $(AM_MAKEFLAGS) \
604 && $(MAKE) $(AM_MAKEFLAGS) dvi \
605 && $(MAKE) $(AM_MAKEFLAGS) check \
606 && $(MAKE) $(AM_MAKEFLAGS) install \
607 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
608 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
609 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
610 distuninstallcheck \
611 && chmod -R a-w "$$dc_install_base" \
612 && ({ \
613 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
614 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
615 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
616 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
617 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
618 } || { rm -rf "$$dc_destdir"; exit 1; }) \
619 && rm -rf "$$dc_destdir" \
620 && $(MAKE) $(AM_MAKEFLAGS) dist \
621 && rm -rf $(DIST_ARCHIVES) \
622 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
623 && cd "$$am__cwd" \
624 || exit 1
625 $(am__post_remove_distdir)
626 @(echo "$(distdir) archives ready for distribution: "; \
627 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
628 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
629 distuninstallcheck:
630 @test -n '$(distuninstallcheck_dir)' || { \
631 echo 'ERROR: trying to run $@ with an empty' \
632 '$$(distuninstallcheck_dir)' >&2; \
633 exit 1; \
634 }; \
635 $(am__cd) '$(distuninstallcheck_dir)' || { \
636 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
637 exit 1; \
638 }; \
639 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
640 || { echo "ERROR: files left after uninstall:" ; \
641 if test -n "$(DESTDIR)"; then \
642 echo " (check DESTDIR support)"; \
643 fi ; \
644 $(distuninstallcheck_listfiles) ; \
645 exit 1; } >&2
646 distcleancheck: distclean
647 @if test '$(srcdir)' = . ; then \
648 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
649 exit 1 ; \
650 fi
651 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
652 || { echo "ERROR: files left in build directory after distclean:" ; \
653 $(distcleancheck_listfiles) ; \
654 exit 1; } >&2
655 check-am: all-am
656 check: check-am
657 all-am: Makefile $(LIBRARIES) config.h
658 installdirs:
659 install: install-am
660 install-exec: install-exec-am
661 install-data: install-data-am
662 uninstall: uninstall-am
663
664 install-am: all-am
665 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
666
667 installcheck: installcheck-am
668 install-strip:
669 if test -z '$(STRIP)'; then \
670 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
671 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
672 install; \
673 else \
674 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
675 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
676 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
677 fi
678 mostlyclean-generic:
679
680 clean-generic:
681
682 distclean-generic:
683 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
684 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
685
686 maintainer-clean-generic:
687 @echo "This command is intended for maintainers to use"
688 @echo "it deletes files that may require special tools to rebuild."
689 clean: clean-am
690
691 clean-am: clean-generic clean-noinstLIBRARIES mostlyclean-am
692
693 distclean: distclean-am
694 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
695 -rm -rf ./$(DEPDIR)
696 -rm -f Makefile
697 distclean-am: clean-am distclean-compile distclean-generic \
698 distclean-hdr distclean-tags
699
700 dvi: dvi-am
701
702 dvi-am:
703
704 html: html-am
705
706 html-am:
707
708 info: info-am
709
710 info-am:
711
712 install-data-am:
713
714 install-dvi: install-dvi-am
715
716 install-dvi-am:
717
718 install-exec-am:
719
720 install-html: install-html-am
721
722 install-html-am:
723
724 install-info: install-info-am
725
726 install-info-am:
727
728 install-man:
729
730 install-pdf: install-pdf-am
731
732 install-pdf-am:
733
734 install-ps: install-ps-am
735
736 install-ps-am:
737
738 installcheck-am:
739
740 maintainer-clean: maintainer-clean-am
741 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
742 -rm -rf $(top_srcdir)/autom4te.cache
743 -rm -rf ./$(DEPDIR)
744 -rm -f Makefile
745 maintainer-clean-am: distclean-am maintainer-clean-generic
746
747 mostlyclean: mostlyclean-am
748
749 mostlyclean-am: mostlyclean-compile mostlyclean-generic
750
751 pdf: pdf-am
752
753 pdf-am:
754
755 ps: ps-am
756
757 ps-am:
758
759 uninstall-am:
760
761 .MAKE: all install-am install-strip
762
763 .PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \
764 clean-cscope clean-generic clean-noinstLIBRARIES cscope \
765 cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
766 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
767 distcheck distclean distclean-compile distclean-generic \
768 distclean-hdr distclean-tags distcleancheck distdir \
769 distuninstallcheck dvi dvi-am html html-am info info-am \
770 install install-am install-data install-data-am install-dvi \
771 install-dvi-am install-exec install-exec-am install-html \
772 install-html-am install-info install-info-am install-man \
773 install-pdf install-pdf-am install-ps install-ps-am \
774 install-strip installcheck installcheck-am installdirs \
775 maintainer-clean maintainer-clean-generic mostlyclean \
776 mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
777 tags tags-am uninstall uninstall-am
778
779 .PRECIOUS: Makefile
780
781
782 # Tell versions [3.59,3.63) of GNU make to not export all variables.
783 # Otherwise a system limit (for SysV at least) may be exceeded.
784 .NOEXPORT:
This page took 0.208308 seconds and 4 git commands to generate.